Bug 14940 - Cross device copy of the crossrename module always fails
Summary: Cross device copy of the crossrename module always fails
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules (show other bugs)
Version: 4.15.3
Hardware: All All
: P5 major (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-07 12:33 UTC by Pavel Fiipenský
Modified: 2022-01-19 15:29 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.15.next. (1.33 KB, patch)
2022-01-11 18:07 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Fiipenský 2022-01-07 12:33:30 UTC
crossrename module does not function correctly as it always fails to do the copy operation. It always returns an error for cross device copy.

Fix will follow.
Comment 1 Samba QA Contact 2022-01-11 00:41:33 UTC
This bug was referenced in samba master:

4d7ed39fd8fa18f90756f215c8b0fc5d293e955e
Comment 2 Jeremy Allison 2022-01-11 18:07:07 UTC
Created attachment 17081 [details]
git-am fix for 4.15.next.

Cherry-picked from master.
Comment 3 Andreas Schneider 2022-01-12 11:38:22 UTC
Jule, please apply the patch to the next 4.15 release. Thanks!
Comment 4 Jule Anger 2022-01-12 11:48:14 UTC
Pushed to autobuild-v4-15-test.
Comment 5 Samba QA Contact 2022-01-12 12:55:16 UTC
This bug was referenced in samba v4-15-test:

76e7fdb70c6ebf5ec4aad4c7a65cc485ac0c06c2
Comment 6 Jule Anger 2022-01-12 13:35:59 UTC
Closing out bug report.

Thanks!
Comment 7 Samba QA Contact 2022-01-19 15:29:16 UTC
This bug was referenced in samba v4-15-stable (Release samba-4.15.4):

76e7fdb70c6ebf5ec4aad4c7a65cc485ac0c06c2